Bug 63205 - RFE: Implement bad block check that is used when creating filesystems
RFE: Implement bad block check that is used when creating filesystems
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
skipjack-beta2
athlon Linux
high Severity low
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-11 01:59 EDT by George Karabin
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-04 16:59:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump from crash (72.21 KB, text/plain)
2002-04-11 02:00 EDT, George Karabin
no flags Details

  None (edit)
Description George Karabin 2002-04-11 01:59:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
I have a disk with some bad sectors (probably many, from the sound the drive
makes) on one partition. I had thought that perhaps that the formatter would
mark those sectors as bad, and move on. Instead, anaconda crashed.

I'm not too worried if anaconda can't use the disk (I've already replaced it)
but the crash seems noteworthy.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Get a disk with at least as many bad sectors as the one I've got (I'll attach
a log to show the errors that had been echoed by anaconda up till the crash).
2. Set up an ext3 partition that covers those bad sectors.
3. Try to format/check for errors that partition.

	

Actual Results:  anaconda crashes, and pops up a dialog to save the crash trace
(will be attached...)


Expected Results:  format either marks the sectors bad and anaconda continues if
the adjusted partition size has room for the install, or anaconda gracefully
reports a problem with the disk, and fails to install.

Additional info:
Comment 1 George Karabin 2002-04-11 02:00:28 EDT
Created attachment 53344 [details]
anaconda dump from crash
Comment 2 Michael Fulbright 2002-04-11 14:19:42 EDT
We cannot correct errors on the fly. However we do need to allow the 'Check for
bad sectors' test to create a map of the bad sectors which is used when creating
the filesystem. This is a future enhancement.
Comment 3 Michael Fulbright 2003-03-04 16:59:45 EST
I anticipate we're removing bad block check.

Note You need to log in before you can comment on or make changes to this bug.